TokyoTyrant::num
TokyoTyrant::put
TokyoTyrant
PHP Manual

# TokyoTyrant::out

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::out — Removes records

### Description

public TokyoTyrant TokyoTyrant::out ( mixed `$keys` )

Removes a record or multiple records. This method accepts a string for a single key or an array of keys for multiple records.

### Parameters

`keys`

  A string key or an array of string keys

### Return Values

This method returns the current object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrant::out() example

`<?php
/* Connect to a database on default port */
$tt = new TokyoTyrant("localhost");
$tt->put("test1", "value1");
$tt->put("test2", "value2");
$tt->out(array("test1", "test2"));
?>`

### See Also

- TokyoTyrant::put() - Puts values

TokyoTyrant::num
TokyoTyrant::put
TokyoTyrant
PHP Manual